
TYPO3.Neos - Bug # 9474

Status: Closed Priority: Should have
Author: Daniel Poetzinger Category:
Created: 2010-08-26 Assigned To: Berit Hlubek
Updated: 2012-08-31 Due date:
Subject: As Cornelius I want a basic set of CE-Types (Building Blocks for Websites)
Description

We want to have a basic set of common contenttypes that are common for most websites.
This is for having better real world examples for the upcoming Editing Stories. And this is useful as a basic for building new layouts.

The idea is to have at least this contenttypes (see attachment for first wireframe)

- Text Element
  - Having rich text markup (h1,h2...) as well as plain images (floating, alttext)
  [no special contentelement settings]

- 2 Column Element
 [Settings: Layout; Columnweight (e.g. 50:50; 25:75)]

- 3 Column Element
[Settings: Layout; Columnweight (e.g. 33:33:33; 50:25:25)]

- Tab Element
[Settings: Layout; Behaviour | Actions: add tab]

- Accordion Element
[Settings: Layout; Behaviour | Actions: add accordion]

-CTA Button (CTA= Call to action)
[Settings: Layout]

- Box Element
[Settings: Layout; Foating; Background-Image; Fixed Sizes]

Acceptance criteria:
 - JS + HTML + CSS Markup prepared in nice sample pages for the starterpage layout
 - Optional: further documentation on the contentelements in the wiki

Subtasks:
Task # 10381: Place the HTML templates to Versioncontrol Closed
Task # 10380: Embed the HTML content types in an example page Closed
Task # 10379: Add jquery to the tab & the accordion CE HTML Closed

History
#1 - 2010-08-26 23:00 - Daniel Poetzinger
- File sample_building_blocks.png added

#2 - 2010-08-27 11:06 - Robert Lemke
- Project changed from 1204 to Core Team
- Category deleted (688)
#3 - 2010-08-27 11:07 - Robert Lemke
- Target version set to 628

#4 - 2010-08-31 17:40 - Berit Hlubek
- Assigned To set to Berit Hlubek

#5 - 2010-08-31 17:53 - Berit Hlubek
- Status changed from New to Accepted

#6 - 2010-09-28 17:09 - Berit Hlubek
- File content_types.zip added

I created some html-markup for several content types.

#7 - 2010-09-28 17:09 - Berit Hlubek
- Status changed from Accepted to Needs Feedback
- Assigned To changed from Berit Hlubek to Karsten Dambekalns

#8 - 2010-09-28 17:12 - Karsten Dambekalns
- Assigned To changed from Karsten Dambekalns to Daniel Poetzinger

#9 - 2010-10-18 10:57 - Berit Hlubek
- Status changed from Needs Feedback to Accepted
- Assigned To changed from Daniel Poetzinger to Berit Hlubek

#10 - 2010-10-21 11:10 - Robert Lemke
- Target version deleted (628)

#11 - 2010-10-21 11:59 - Berit Hlubek
- Target version set to 711

#12 - 2010-11-15 12:55 - Robert Lemke
- Target version changed from 711 to 732
- Position deleted (5471)
- Position set to 3

#13 - 2010-12-20 20:29 - Robert Lemke
- Target version deleted (732)
- Position deleted (8)
- Position set to 2

#14 - 2011-03-02 10:32 - Robert Lemke
- Target version set to 788
- Position deleted (16)
- Position set to 16

#15 - 2011-03-02 10:32 - Robert Lemke
- Position deleted (16)
- Position set to 16

#16 - 2011-05-05 13:51 - Robert Lemke
- Project changed from Core Team to Base Distribution
- Target version deleted (788)

#17 - 2011-05-06 08:20 - Robert Lemke
- Position deleted (17921)
- Position set to 2

#18 - 2011-11-07 11:05 - Sebastian Kurfuerst
- Tracker changed from Story to Bug
- Status changed from Accepted to Closed

not relevant anymore. we have basic CE types now :)

#19 - 2012-08-31 10:38 - Robert Lemke
- Project changed from Base Distribution to TYPO3.Neos

Files
sample_building_blocks.png 55.8 kB 2010-08-26 Daniel Poetzinger
content_types.zip 22.1 kB 2010-09-28 Berit Hlubek
